import { ElementRef, OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
import { StiHttpClientService } from "../../services/http-client.service";
import { StiModelService } from "../../services/model.service";
import { StiDraggableService } from "../../services/sti-draggable.service";
import { StiExportService } from "../../services/sti-export.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiToolboxService } from "../../services/sti-toolbox.service";
import { StiUserService } from "../../services/sti-user-service";
import { StiThemeService } from "../../services/theme.service";
import { StiFormCheckerService } from "../../services/sti-form-checker.service";
import * as i0 from "@angular/core";
export declare class NavbarComponent implements OnInit, OnDestroy {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    exportService: StiExportService;
    render: StiRectangleGeometryLayout;
    theme: StiThemeService;
    loc: StiLocalizationService;
    toolboxService: StiToolboxService;
    httpService: StiHttpClientService;
    userService: StiUserService;
    formCheckerService: StiFormCheckerService;
    saveButton: ElementRef;
    fonts: any;
    fontSizes: any;
    disabled: boolean;
    get editButtonRight(): number;
    get componentHeight(): 0 | 38 | 93;
    getClass(ribbon: string): "current" | "other";
    setEvent(event: string): void;
    setRibbon(ribbon: string): void;
    onSetRibbon(ribbon: string, oldRibbon: string): void;
    save(): void;
    showInfo(event: any, type: any): void;
    sendExportEvent(): void;
    setFormEventSubscription: Subscription;
    startPdfEventSubscription: Subscription;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, exportService: StiExportService, render: StiRectangleGeometryLayout, theme: StiThemeService, loc: StiLocalizationService, toolboxService: StiToolboxService, httpService: StiHttpClientService, userService: StiUserService, formCheckerService: StiFormCheckerService);
    ngOnDestroy(): void;
    editForm(): void;
    showPdfOption(): void;
    ngOnInit(): void;
    setDefaultTab(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavbarComponent, "sti-navbar", never, {}, {}, never, never, false, never>;
}
